package ims.hotcoref.features.enums;

public enum ToBI {
	NONE("|NONE|"),
	FALL("|H*L|"),
	DOWNSTEPFALL("|!H*L|"),
	HIGHLINK("|H*|"),
	LOWLINK("|L*|"),
	RISE("|L*H|"),
	EARLYPEAK("|HH*L|"),
	LATEPEAK("|L*HL|"),
	NOTAPPLICABLE("N/A");

	   private String value;
	   private ToBI(String value)
	   {
	      this.value = value;
	   }

	   public String toString()
	   {
	      return this.value; //This will return |H*L|
	   }
	}

