package ims.hotcoref.io;

import ims.hotcoref.data.ISentence;
import ims.hotcoref.data.SemEval10Sentence;
import ims.hotcoref.data.CoNLL12Sentence;
import ims.hotcoref.data.DIRNDLAnaphSentence;


public enum CorefFormat {

	C12(CoNLL12Sentence.class),
	C12AUG(CoNLL12Sentence.class),
	SE10(SemEval10Sentence.class),
	DIRNDL(DIRNDLAnaphSentence.class),
	;
	
	
	public final Class<? extends ISentence> clazz;
	
	CorefFormat(Class<? extends ISentence> clazz){
		this.clazz=clazz;
	}
	
	
}
