package ims.hotcoref.util;

import ims.hotcoref.Options;
import ims.hotcoref.data.Span;
import ims.hotcoref.features.enums.Gender;
import ims.hotcoref.features.enums.Num;
import ims.util.Util;

import java.io.BufferedInputStream;
import java.io.BufferedOutputStream;
import java.io.BufferedReader;
import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;
import java.util.Map.Entry;
import java.util.regex.Pattern;
import java.util.zip.ZipEntry;
import java.util.zip.ZipFile;
import java.util.zip.ZipOutputStream;

public class CompoundSplitLookup implements Serializable{
	private static final long serialVersionUID = 1L;
	

	public static HashMap<String,String> compounds=new HashMap<String,String>();
	
	
	public static void main(String[] args) throws IOException, ClassNotFoundException{
	
		CompoundSplitLookup.lookupCompounds();
		
		/*//for testing
		String[] examples={"Massenpublikum","Materialwirtschaft","Dummytest"};
	
		for(String e:examples){
			System.out.println(e+" "+ compounds.get(e)+"\n");
		}	
		*/
	
	}

public static void lookupCompounds () throws IOException, ClassNotFoundException {
		
			//file: contains compound splits for Tueba 9
	
			if(Options.compoundList==null){
			System.out.println("didnt initialize compound list -- no path given");
			}
		
			else {
		
			File f=Options.compoundList;//"/projekte/sfb-732/a6/Coref/CorefResolver/tueba9.splitted.aggr"
			if (f.exists()){
				BufferedReader reader=Util.getReader(f);
				String line;
				
				while((line=reader.readLine())!=null){		
					String word=line.split("\t")[0];
					
					if (line.split("\t").length>1){
						String splits=line.split("\t")[1];
					
						if (splits.contains("|")){
							String[] heads = splits.split("\\|");
							String head=heads[heads.length-1];
							compounds.put(word,head);
						}
					}
				}
			}}
}
		
		
	
}