package ims.hotcoref.io;

import ims.hotcoref.data.ISentence;

import java.io.File;
import java.io.IOException;
import java.util.List;

public class ColumnWriter extends AbstractWriter {

	public ColumnWriter(File out) throws IOException {
		super(out);
	}

	@Override
	String sentenceToString(ISentence s) {
		List<String[]> l=s.getLineColumns();
		String r=makeString(l);
		return r;
	}

	private String makeString(List<String[]> l) {
		StringBuilder sb=new StringBuilder();
		int tokens=l.get(0).length;
		

		
		for(int tok=1;tok<tokens;++tok){
			for(int col=0;col<l.size();++col){
				sb.append(l.get(col)[tok]);
				if(col<l.size()-1)
					sb.append('\t');
			}
			sb.append('\n');
		}
		return sb.toString();
	}

}
