package ims.hotcoref.io;

import java.io.IOException;

import ims.hotcoref.Options;
import ims.hotcoref.data.Document;
import ims.hotcoref.lang.Language;

public class TestIO {

	public static void main(String[] args) throws IOException{
		Options options=new Options(args);
		Language.initLanguage(options);
		DocumentReader reader=ReaderWriterFactory.getInputReader(options);
		DocumentWriter writer=ReaderWriterFactory.getOutputWriter(options);
		for(Document d:reader)
			writer.write(d);
		writer.close();
	}
}
