package ims.hotcoref.util;

import ims.hotcoref.Options;
import ims.hotcoref.features.enums.Gender;
import ims.hotcoref.features.enums.Num;
import ims.util.Util;

import java.io.BufferedOutputStream;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.ArrayList;


public class AnimacityLookup {
	
	public static ArrayList<String> animatedList=new ArrayList<String>();
	public static ArrayList<String> femaleList=new ArrayList<String>();
	public static ArrayList<String> maleList=new ArrayList<String>();
	
	public static void main(String[] args) throws IOException, ClassNotFoundException{
		
		AnimacityLookup.lookup();
		
	/*	String[] examples={"Ina","Politiker"};
		//for testing
		
		for(String e:examples){
			System.out.println(e+" "+ animatedList.contains(e)+"\n");
			System.out.println(e+" "+ femaleList.contains(e)+"\n");
			System.out.println(e+" "+ maleList.contains(e)+"\n");
		}	
		*/
	}
	
	
	public static void lookup () throws IOException, ClassNotFoundException {
		
		
		if(Options.peopleList==null){
			System.out.println("didnt initialize animacy people list -- no path given");
			}
		
		else {
		//animacity list: words that can refer to people
				System.out.println("reading from animacy lists ...");
			
				//File f=new File("/projekte/sfb-732/a6/Coref/CorZu_experimental/data/mensch.txt");
				File f=Options.peopleList;	
				if (f.exists()){
					BufferedReader reader=Util.getReader(f);
					String line;
					while((line=reader.readLine())!=null){		
						String word=line.replace("'","").replace(",","");
						animatedList.add(word); 
					}
				}
				
		}
		
		if(Options.femList==null){
			System.out.println("didnt initialize animacy fem list -- no path given");
			}
		else {
				//female: names that can refer to females
				//	File f2=new File("/projekte/sfb-732/a6/Coref/CorZu_experimental/data/female_names.txt");

				File f2=Options.femList;	
				if (f2.exists()){
					BufferedReader reader2=Util.getReader(f2);
					String line2;
					while((line2=reader2.readLine())!=null){		
						String word=line2.replace("'","").replace(",","");
						femaleList.add(word); 
					}
				}	
				
		}
		if(Options.maleList==null){
			System.out.println("didnt initialize animacy male list -- no path given");
			}
		
		else {
		//males: names that can refer to males
				//File f3=new File("/projekte/sfb-732/a6/Coref/CorZu_experimental/data/male_names.txt");
				File f3=Options.maleList;	
				if (f3.exists()){
					BufferedReader reader3=Util.getReader(f3);
					String line3;
					while((line3=reader3.readLine())!=null){		
						String word=line3.replace("'","").replace(",","");
						maleList.add(word); 
					}
				}
		}		
		
		
	}
	
}
